package conf

import (
	ofgc "git.loafle.net/overflow/overflow_gateway_config"
)

var Config Conf

type Conf struct {
	Server    ofgc.Server             `json:"server" yaml:"server" toml:"server"`
	Auth      ofgc.Auth               `json:"auth" yaml:"auth" toml:"auth"`
	Websocket ofgc.Websocket          `json:"websocket" yaml:"websocket" toml:"websocket"`
	GRPC      ofgc.GRPC               `json:"gRPC" yaml:"gRPC" toml:"gRPC"`
	Redis     ofgc.Redis              `json:"redis" yaml:"redis" toml:"redis"`
	Handlers  map[string]ofgc.Handler `json:"handlers" yaml:"handlers" toml:"handlers"`
}
